Package: io.vertx.groovy.ext.shell

## [Groovy] Class ShellService

- io.vertx.groovy.ext.shell.ShellService

- The shell service, provides a remotely accessible shell available via Telnet or SSH according to the ShellServiceOptions configuration.

  The shell service will expose commands using CommandResolver on the classpath and the shared command registry for the Vert.x instance.

- - ### Constructor Summary

    Constructors
    Constructor and description
    `ShellService (java.lang.Object delegate)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `static ShellService` | `create(Vertx vertx)` Like ShellService.create, with default options.
    `static ShellService` | `create(Vertx vertx, java.util.Map<java.lang.String, java.lang.Object> options)` Create a new shell service.
    `java.lang.Object` | `getDelegate()`
    `ShellServer` | `server()` @return Returns: the shell server
    `void` | `start()` Start the shell service, this is an asynchronous start.
    `void` | `start(io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Void>> startHandler)` Start the shell service, this is an asynchronous start.
    `void` | `stop()` Stop the shell service, this is an asynchronous stop.
    `void` | `stop(io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Void>> stopHandler)` Stop the shell service, this is an asynchronous start.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Constructor Detail

    - #### ShellService(java.lang.Object delegate)

  - ### Method Detail

    - #### static ShellService create(Vertx vertx)

      Like ShellService.create, with default options.

      Returns:
      Parameters:
        vertx

    - #### static ShellService create(Vertx vertx, java.util.Map<java.lang.String, java.lang.Object> options)

      Create a new shell service.

      Returns:
        the shell service
      Parameters:
        `vertx` - the Vert.x instance
        `options` - the service config options (see ShellServiceOptions)

    - #### java.lang.Object getDelegate()

    - #### ShellServer server()

      Returns:
        the shell server

    - #### void start()

      Start the shell service, this is an asynchronous start.

    - #### void start(io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Void>> startHandler)

      Start the shell service, this is an asynchronous start.

      Parameters:
        `startHandler` - handler for getting notified when service is started

    - #### void stop()

      Stop the shell service, this is an asynchronous stop.

    - #### void stop(io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Void>> stopHandler)

      Stop the shell service, this is an asynchronous start.

      Parameters:
        `stopHandler` - handler for getting notified when service is stopped